import { SidenavService } from './../core/service/sidenav.service';
import { NO_ERRORS_SCHEMA } from '@angular/core';
import { async, ComponentFixture, TestBed } from '@angular/core/testing';
import { RouterTestingModule } from '@angular/router/testing';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';

import { SharedModule } from '@app/shared/shared.module';
import { CoreModule } from '@app/core/core.module';

import { DegreePlannerComponent } from './degree-planner.component';
import { DataService } from '@app/core/data.service';
import { HttpClientModule } from '@angular/common/http';
import { MAT_DIALOG_DATA } from '@angular/material';


describe('DegreePlannerComponent', () => {
	let component: DegreePlannerComponent;
	let fixture: ComponentFixture<DegreePlannerComponent>;

	beforeEach(async(() => {
		TestBed.configureTestingModule({
			imports: [RouterTestingModule, HttpClientModule, CoreModule, SharedModule, BrowserAnimationsModule],
			declarations: [DegreePlannerComponent],
			providers: [DataService, SidenavService, { provide: MAT_DIALOG_DATA }],
			schemas: [NO_ERRORS_SCHEMA]
		}).compileComponents();
	}));

	beforeEach(() => {
		fixture = TestBed.createComponent(DegreePlannerComponent);
		component = fixture.componentInstance;
		fixture.detectChanges();
	});

	it('should create', () => {
		expect(component).toBeTruthy();
	});
});
