import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { async, ComponentFixture, TestBed } from '@angular/core/testing';

import { SharedModule } from '@app/shared/shared.module';
import { CoreModule } from '@app/core/core.module';
import { DataService } from '@app/core/data.service';
import { HttpClientModule } from '@angular/common/http';
import { NotesDialogComponent } from './notes-dialog.component';
import { MAT_DIALOG_DATA, MatDialogRef, MatInputModule } from '@angular/material';

describe('NotesDialogComponent', () => {
	let component: NotesDialogComponent;
	let fixture: ComponentFixture<NotesDialogComponent>;

	beforeEach(async(() => {
		TestBed.configureTestingModule({
			imports: [HttpClientModule, CoreModule, SharedModule, MatInputModule, BrowserAnimationsModule],
			providers: [DataService, { provide: MAT_DIALOG_DATA, useValue: {} }, { provide: MatDialogRef, useValue: {} }],
			declarations: [ NotesDialogComponent ]
	})
	.compileComponents();
	}));

	beforeEach(() => {
		fixture = TestBed.createComponent(NotesDialogComponent);
		component = fixture.componentInstance;
		fixture.detectChanges();
	});

	it('should create', () => {
		expect(component).toBeTruthy();
	});
});
